GET
Get net open margin positions
Returns the net open positions for the specified account.
Path Params
-
accountIdstring requiredThe ID of the account
Query Params
-
currencyarray of stringsFilters on provided currencies if provided, otherwise returns net open positions for all currencies
Responses
200
Net open positions
Response Body
object
-
netOpenPositionsarray of objectsnetOpenPositions object
-
currencystring requiredSymbol of the instrument (ex. BTC) -
enterpriseIdstring uuid requiredEnterprise ID for the margin NOP limit -
netOpenPositionstring requiredThe current net open position for the NOP instrument in question (ex. -10 BTC). Negative means a short position and positive means a long position. -
netOpenPositionValueobject requiredThe net open position denoted in notional amount (ex 600,000 USD)netOpenPositionValue object
-
quantitystring decimal requiredThe specified quantity. -
currencystring requiredThe specified quantity currency.
-
-
shortMarginPositionNotionalLimitobject requiredThe maximum open margin position that can be short in terms of the notional instrument (ex. 10,000 USD) in absolute notional terms, as the NOP is signedshortMarginPositionNotionalLimit object
-
quantitystring decimal requiredThe specified quantity. -
currencystring requiredThe specified quantity currency.
-
-
longMarginPositionNotionalLimitobject requiredThe maximum open margin position that can be long in terms of the notional instrument (ex. 10,000 USD)longMarginPositionNotionalLimit object
-
quantitystring decimal requiredThe specified quantity. -
currencystring requiredThe specified quantity currency.
-
-
unrealizedPnLobject requiredThe unrealized profit and loss. Difference between the NOP value at the time of creation and the NOP value as of now.unrealizedPnL object
-
quantitystring decimal requiredThe specified quantity. -
currencystring requiredThe specified quantity currency.
-
-
lastModifiedstring date-time requiredISO format datetime for date and time the record was last updated in the database
-
401
Unauthorized - Invalid or missing authentication
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
403
Forbidden - Insufficient permissions
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
500
Internal Server Error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-